Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 165560 - CAN-2005-2456 IPSEC overflow
CAN-2005-2456 IPSEC overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
impact=important,public=20050725,sour...
: Security
: 165138 (view as bug list)
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-08-10 10:23 EDT by Mark J. Cox
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2005-08-10 10:23:14 EDT
When a user specified IPSEC rule to compile is given, we don't check
the bounds of the direction, leading to overflows of the in-socket
IPSEC rule array.  This could allow a local unprivileged user to cause memory
corruption.

Fixed upstream here on 20050726
http://linux.bkbits.net:8080/linux-2.6/cset@42e6bc85npULs5heBLcOs_2M2zCpQ

See the following threads for a test program and more desciprtion

http://www.mail-archive.com/netdev@vger.kernel.org/msg00520.html
http://www.mail-archive.com/netdev@vger.kernel.org/msg00523.html

Note that a fix for this is already committed for U2 in linux-2.6.12-network.patch
Comment 4 Mark J. Cox 2005-08-30 04:31:42 EDT
*** Bug 165138 has been marked as a duplicate of this bug. ***
Comment 6 Red Hat Bugzilla 2005-10-05 09:50:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.